## EDataBookCursorCache EDataBookCursorCache — The SQLite cursor implementation |

## Functions

EDataBookCursor * | e_data_book_cursor_cache_new ()

## Types and Values

struct | EDataBookCursorCache
struct | EDataBookCursorCacheClass

## Object Hierarchy

        GObject
        ╰── EDataBookCursor
            ╰── EDataBookCursorCache

## Includes

    #include <libedata-book/libedata-book.h>

## Description

This cursor implementation can be used with any backend which stores contacts using EBookCache.

## Functions

### e_data_book_cursor_cache_new ()

    EDataBookCursor *
    e_data_book_cursor_cache_new (EBookBackend *book_backend,
                                  EBookCache *book_cache,
                                  const EContactField *sort_fields,
                                  const EBookCursorSortType *sort_types,
                                  guint n_fields,
                                  GError **error);

Creates an EDataBookCursor and implements all of the cursor methods using the delegate `book_cache` object.

This is suitable cursor type for any backend which stores its contacts using the EBookCache object. The EBookMetaBackend does that transparently.

#### Parameters

book_backend | the EBookBackend creating this cursor |
book_cache | the EBookCache object to base this cursor on |
sort_fields | an array of EContactFields as sort keys in order of priority. | [array length=n_fields]
sort_types | an array of EBookCursorSortTypes, one for each field in `sort_fields` . | [array length=n_fields]
n_fields | the number of fields to sort results by. |
error | return location for a GError, or `NULL` |

#### Returns

A newly created EDataBookCursor, or `NULL` if cursor creation failed.

[transfer full]

Since: 3.26

## Types and Values

### struct EDataBookCursorCache

    struct EDataBookCursorCache;

An opaque handle for the EBookCache cursor instance.

Since: 3.26

### struct EDataBookCursorCacheClass

    struct EDataBookCursorCacheClass {
    };

The EBookCache cursor class structure.

Since: 3.26